Delete Asset IPs

Deletes the specified IP addresses in bulk.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

DELETE /api/sonar/ip-addresses
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -X DELETE \
     "https://HOSTNAME/api/sonar/ip-addresses?guids=f47ac10b-58cc-4372-a567-0e02b2c3d479,a1b2c3d4-e5f6-7890-1234-567890abcdef"
Request Parameters
KeyRequiredTypeDescriptionNote
guidsOString arrayIP address GUID listComma-separated

Success Response

{
  "failures": []
}

Error Responses

IP address not found

HTTP status code 200

{
  "failures": [
    {
      "id": "54157629-74f7-4d80-be5a-8cb8f0c71087",
      "reason": "ip-not-found"
    }
  ]
}
Required argument is missing

HTTP status code 400

{
  "error_code": "null-argument",
  "error_msg": "guids should be not null"
}
Invalid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
No permission

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}